package java.lang.annotation;

import java.lang.reflect.Method;

public class AnnotationTypeMismatchException extends RuntimeException
{
    private static final long serialVersionUID = 8125925355765570191L;
    private final Method element;
    private final String foundType;
    
    public AnnotationTypeMismatchException(Method method, String s) {
        super("Incorrectly typed data found for annotation element " + method + " (Found data of type " + s + ")");
        this.element = method;
        this.foundType = s;
    }
    
    public Method element() {
        return this.element;
    }
    
    public String foundType() {
        return this.foundType;
    }
}
